local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

-- Colours stored for code readability
local GREY = "|cff999999";
local RED = "|cffff0000";
local WHITE = "|cffFFFFFF";
local GREEN = "|cff1eff00";
local PURPLE = "|cff9F3FFF";
local BLUE = "|cff0070dd";
local ORANGE = "|cffFF8400";

function Atlas112Compat()

    AtlasLootBossButtons["KarazhanStart"] = {
        "VioletEye1";
        "BCKeys";
        "BCKeys";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "KaraNamed";
        "KaraNamed";
        "KaraNamed";
        "";
        "";
        "KaraAttumen";
        "";
        "";
        "KaraMoroes";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "KaraKeannaLog";
        "KaraMaiden";
        "";
        "";
        "";
        "KaraOperaEvent";
        "";
        "KaraOperaEvent";
        "";
        "";
        "";
        "";
        "";
        "";
        "KaraOperaEvent";
        "";
        "";
        "KaraNightbane";
        "";
        "";
        "KaraTrash";
        };
    
    AtlasLootBossButtons["MagistersTerrace"] = {
        "SunOffensive1";
        "";
        "SMTFireheart";
		"";
		"";
        "SMTVexallus";
		"";
		"";
        "SMTDelrissa";
        "SMTKaelthas";
		"";
		"SMTTrash";
        };
    
    AtlasLootBossButtons["MoltenCore"] = {
        "";
        "WaterLords1";
        "OldKeys";
        "OldKeys";
        "";
        "MCLucifron";
        "MCMagmadar";
        "MCGehennas";
        "MCGarr";
        "MCShazzrah";
        "MCGeddon";
        "MCGolemagg";
        "MCSulfuron";
        "MCMajordomo";
        "MCRagnaros";
        "";
        "T1SET";
        "MCTrashMobs";
        "MCRANDOMBOSSDROPPS";
        };
    
    AtlasLootBossButtons["Naxxramas"] = {
        "";
        "Argent1";
        "";
        "";
        "";
        "";
        "NAXPatchwerk";
        "NAXGrobbulus";
        "NAXGluth";
        "NAXThaddius";
        "";
        "NAXAnubRekhan";
        "NAXGrandWidowFaerlina";
        "NAXMaexxna";
        "";
        "NAXInstructorRazuvious";
        "NAXGothikderHarvester";
        "NAXTheFourHorsemen";
        "";
        "";
        "";
        "";
        "";
        "";
        "NAXNothderPlaguebringer";
        "NAXHeiganderUnclean";
        "NAXLoatheb";
        "";
        "NAXSapphiron";
        "NAXKelThuzard";
        "";
        "NAXTrash";
        "T3SET";
        };
    
    AtlasLootBossButtons["TheTempleofAhnQiraj"] = {
        "AQBroodRings";
        "";
        "AQ40Skeram";
        "";
        "AQ40Vem";
        "AQ40Vem";
        "AQ40Vem";
        "AQ40Sartura";
        "AQ40Fankriss";
        "AQ40Viscidus";
        "AQ40Huhuran";
        "";
        "AQ40Emperors";
        "AQ40Emperors";
        "AQ40Ouro";
        "AQ40CThun";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "AQ40Trash1";
        "AQEnchants";
        "AQ40SET";
        "AQOpening";
        };
        
    AtlasLootBossButtons["ZulGurub"] = {
        "Zandalar1";
        "OldKeys";
        "OldKeys";
        "";
        "ZGJeklik";
        "ZGVenoxis";
        "ZGEnchants";
        "ZGMarli";
        "ZGMandokir";
        "";
        "";
        "ZGGrilek";
        "ZGHazzarah";
        "ZGRenataki";
        "ZGWushoolay";
        "ZGGahzranka";
        "ZGThekal";
        "";
        "";
        "ZGArlokk";
        "ZGJindo";
        "ZGHakkar";
        "ZGMuddyChurningWaters";
        "";
        "ZGTrash1";
        "ZGShared";
        "ZGSET";
        "ZGEnchants";
        };
    
    AtlasLoot_ExtraText["AlteracValleySouth"] = {
        "";
        GREEN..AL["Misc. Rewards"];
        GREEN..AL["Superior Rewards"];
        GREEN..AL["Epic Rewards"];
    };
    
    AtlasLootBattlegrounds["AlteracValleySouth"] = {
        "Frostwolf1";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "AVMisc";
        "AVBlue";
        "AVPurple";
    };
    

end
